All of lore.kernel.org
 help / color / mirror / Atom feed
* [LTP] [PATCH 1/1] securebits: fix running of testcases
@ 2010-10-20 13:25 Serge E. Hallyn
  0 siblings, 0 replies; only message in thread
From: Serge E. Hallyn @ 2010-10-20 13:25 UTC (permalink / raw)
  To: ltp-list

Exit as soon as one breaks.  Heck, clean it up by letting
set -e do it for me.

Signed-off-by: Serge Hallyn <serge.hallyn@canonical.com>
---
 .../kernel/security/securebits/run_securebits.sh   |   18 +++++-------------
 1 files changed, 5 insertions(+), 13 deletions(-)

diff --git a/testcases/kernel/security/securebits/run_securebits.sh b/testcases/kernel/security/securebits/run_securebits.sh
index 4d9e272..19df70c 100644
--- a/testcases/kernel/security/securebits/run_securebits.sh
+++ b/testcases/kernel/security/securebits/run_securebits.sh
@@ -1,20 +1,12 @@
 #!/bin/sh
 
+set -e
+
 echo "testing keepcaps"
 check_keepcaps 1
-tmp=$?
-if [ $tmp -ne 0 ]; then
-	exit_code=$tmp
-fi
+
 check_keepcaps 2
-tmp=$?
-if [ $tmp -ne 0 ]; then
-	exit_code=$tmp
-fi
+
 check_keepcaps 3
-tmp=$?
-if [ $tmp -ne 0 ]; then
-	exit_code=$tmp
-fi
 
-exit $exit_code
+exit 0
-- 
1.7.1


------------------------------------------------------------------------------
Download new Adobe(R) Flash(R) Builder(TM) 4
The new Adobe(R) Flex(R) 4 and Flash(R) Builder(TM) 4 (formerly 
Flex(R) Builder(TM)) enable the development of rich applications that run
across multiple browsers and platforms. Download your free trials today!
http://p.sf.net/sfu/adobe-dev2dev
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2010-10-20 13:25 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2010-10-20 13:25 [LTP] [PATCH 1/1] securebits: fix running of testcases Serge E. Hallyn

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.